using System.ComponentModel;

namespace SWRIS.Models
{
    public class SwitchInstanceDataModel : INotifyPropertyChanged
    {
        private string instanceName;
        private string progressName;
        private string imageSource;


        public string InstanceName
        {
            get => instanceName;
            set
            {
                instanceName = value;
                OnPropertyChanged(nameof(InstanceName));
            }
        }

        public string ProgressName
        {
            get => progressName;
            set
            {
                progressName = value;
                OnPropertyChanged(nameof(ProgressName));
            }
        }
        public string ImageSource
        {
            get => imageSource;
            set
            {
                imageSource = value;
                OnPropertyChanged(nameof(ImageSource));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        protected internal virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
